 ul li {
      list-style-type: none;
  }
article a {
  text-decoration: none;
  color: #CEB6B6;
  font-weight: bold;
  transition: color 0.2s;
}

article a:hover {
  color: #CEB6B6;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3); 
  transform: scale(1);
  opacity: 0.5; 
}

article a:visited {
  color: #ECCFD7;
}

article a:active {
  color:#674846;
}
    /* Style for the main container */
    main {
      width: 100%;
      margin: 0 auto;
      padding: 20px;
      padding-bottom: 100px;
    }

    /* Style for the about-me" section */
    .about-me {
      padding: 20px;
      border: 1px solid #ECCFD7;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
      margin-bottom: 20px;
    }

    .about-me h2 {
      color: #CEB6B6;
    }

    .about-me img {
      width: 240px;
      height: 360px;
      margin-bottom: 10px;
    }

    .about-me p {
      color: #CEB6B6;
      line-height: 1.6;
      margin-bottom: 10px;
    }

    /* Style for the gallery section */
    .gallery {
      padding: 20px;
      background-color:  #674846;
      border: 1px solid #ECCFD7;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }

    .gallery img {
      width: 100%;
      height: auto;
      border: 1px solid #ECCFD7;
    }
    .overlay {
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.7);
      display: flex;
      justify-content: center;
      align-items: center;
      z-index: 9999;
    }
  
    .overlay img {
      max-width: 80%;
      max-height: 80%;
      object-fit: contain;
    }
    /* Responsive Styles */
@media screen and (max-width: 768px) {
  .col img {
    width: 360px;
    height: 240px;
  }
}

/* Adjusting padding and font size for even smaller screens */
@media screen and (max-width: 480px) {
  main {
    padding: 10px;
    padding-bottom: 80px;
  }

  .about-me {
    padding: 10px;
    margin-bottom: 10px;
  }

  .about-me h2 {
    font-size: 18px;
  }

  .about-me p {
    font-size: 14px;
  }

  .gallery {
    padding: 10px;
  }
}

.col img {
  width: 240px;
}